#ifndef __PROTOCOL_H
#define __PROTOCOL_H
#include "stm32f10x.h"

//通讯协议结构体
typedef struct _protocol
{
	uint16_t  protocolCode;									//指令码
	uint8_t 	parseState;										//消息的内容
}	protocol_TypeDef;

extern uint16_t dataLength;								//一帧数据的长度
extern uint16_t operateType;							//与后台服务器交互的指令类型
extern uint16_t sendOrderCode;						//向后台发送的协议指令码	
extern uint16_t recreceiveOrderCode;			//接收到后台下发的协议指令码
extern uint8_t 	TCP_recreceiveStatus;			//TCP数据接收标志，1为接收到TCP数据，0无

void ProtocolInit(void);
uint16_t SendProtocolPackaging(uint16_t proNum);
void TCP_Protocol(uint8_t* pCdmStr, uint8_t length);

void SetSendProcotolSuccess(void);

#endif

/******************** (C) COPYRIGHT 2017 CXHY *****END OF FILE*******************/ 
